MappedSuperclass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class MappedSuperclass

    java.lang.Object
      org.hibernate.mapping.MappedSuperclass

    public class MappedSuperclass

extends Object

Represents a @MappedSuperclass. A @MappedSuperclass can be a superclass of an @Entity (root or not) This class primary goal is to give a representation to @MappedSuperclass in the metamodel in order to reflect them in the JPA 2 metamodel. Do not use outside this use case. A proper redesign will be evaluated in Hibernate 4 Implementation details: properties are copies of their closest sub-persistentClass versions

Constructor Summary
`MappedSuperclass(MappedSuperclass superMappedSuperclass, PersistentClass superPersistentClass)`

Method Summary
`void` | `addDeclaredProperty(Property p)`
`Component` | `getDeclaredIdentifierMapper()`
`Property` | `getDeclaredIdentifierProperty()`
`Iterator` | `getDeclaredPropertyIterator()`
`Property` | `getDeclaredVersion()`
`Component` | `getIdentifierMapper()`
`Property` | `getIdentifierProperty()`
`Class` | `getMappedClass()`
`MappedSuperclass` | `getSuperMappedSuperclass()` Returns the first superclass marked as @MappedSuperclass or null if: - none exists - or the first persistent superclass found is an @Entity
`PersistentClass` | `getSuperPersistentClass()` Returns the PersistentClass of the first superclass marked as @Entity or null if none exists
`Property` | `getVersion()`
`boolean` | `hasIdentifierProperty()`
`boolean` | `isVersioned()`
`void` | `setDeclaredIdentifierMapper(Component identifierMapper)`
`void` | `setDeclaredIdentifierProperty(Property prop)`
`void` | `setDeclaredVersion(Property prop)`
`void` | `setMappedClass(Class mappedClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedSuperclass

    public MappedSuperclass(MappedSuperclass superMappedSuperclass,
                            PersistentClass superPersistentClass)

Method Detail

### getSuperMappedSuperclass

    public MappedSuperclass getSuperMappedSuperclass()

  Returns the first superclass marked as @MappedSuperclass or null if: - none exists - or the first persistent superclass found is an @Entity

  Returns:
    the super MappedSuperclass

### hasIdentifierProperty

    public boolean hasIdentifierProperty()

### isVersioned

    public boolean isVersioned()

### getSuperPersistentClass

    public PersistentClass getSuperPersistentClass()

  Returns the PersistentClass of the first superclass marked as @Entity or null if none exists

  Returns:
    the PersistentClass of the superclass

### getDeclaredPropertyIterator

    public Iterator getDeclaredPropertyIterator()

### addDeclaredProperty

    public void addDeclaredProperty(Property p)

### getMappedClass

    public Class getMappedClass()

### setMappedClass

    public void setMappedClass(Class mappedClass)

### getIdentifierProperty

    public Property getIdentifierProperty()

### getDeclaredIdentifierProperty

    public Property getDeclaredIdentifierProperty()

### setDeclaredIdentifierProperty

    public void setDeclaredIdentifierProperty(Property prop)

### getVersion

    public Property getVersion()

### getDeclaredVersion

    public Property getDeclaredVersion()

### setDeclaredVersion

    public void setDeclaredVersion(Property prop)

### getIdentifierMapper

    public Component getIdentifierMapper()

### getDeclaredIdentifierMapper

    public Component getDeclaredIdentifierMapper()

### setDeclaredIdentifierMapper

    public void setDeclaredIdentifierMapper(Component identifierMapper)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.